org.apache.tamaya.format

## Class FlattenedDefaultPropertySource

- java.lang.Object
- - org.apache.tamaya.format.FlattenedDefaultPropertySource

- All Implemented Interfaces:
    org.apache.tamaya.spi.PropertySource

      public class FlattenedDefaultPropertySource
      extends Object
      implements org.apache.tamaya.spi.PropertySource

  Flattened default PropertySource that uses the flattened config data read from an URL by a $`ConfigurationFormat`.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tamaya.spi.PropertySource

      `EMPTY, TAMAYA_ORDINAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlattenedDefaultPropertySource(ConfigurationData data)`
    `FlattenedDefaultPropertySource(int defaultOrdinal, ConfigurationData data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.tamaya.spi.PropertyValue` | `get(String key)`
    `String` | `getName()`
    `int` | `getOrdinal()`
    `Map<String,String>` | `getProperties()`
    `boolean` | `isScannable()`
    `protected Map<String,String>` | `populateData(ConfigurationData data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlattenedDefaultPropertySource

          public FlattenedDefaultPropertySource(ConfigurationData data)

    - #### FlattenedDefaultPropertySource

          public FlattenedDefaultPropertySource(int defaultOrdinal,
                                        ConfigurationData data)

  - ### Method Detail

    - #### populateData

          protected Map<String,String> populateData(ConfigurationData data)

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.apache.tamaya.spi.PropertySource`

    - #### getOrdinal

          public int getOrdinal()

      Specified by:
        `getOrdinal` in interface `org.apache.tamaya.spi.PropertySource`

    - #### get

          public org.apache.tamaya.spi.PropertyValue get(String key)

      Specified by:
        `get` in interface `org.apache.tamaya.spi.PropertySource`

    - #### getProperties

          public Map<String,String> getProperties()

      Specified by:
        `getProperties` in interface `org.apache.tamaya.spi.PropertySource`

    - #### isScannable

          public boolean isScannable()

      Specified by:
        `isScannable` in interface `org.apache.tamaya.spi.PropertySource`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.